RealizationResult (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.api, class: RealizationResult

Package org.apache.geode.management.api

# Class RealizationResult

java.lang.Object
org.apache.geode.management.api.RealizationResult

All Implemented Interfaces:
  `Serializable`

@Experimental public class RealizationResult extends Object implements Serializable
this holds the information returned by the ConfigurationRealizers to indicate the success/failure of the realization step. It by default should have at least memberName, success and a message.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RealizationResult()`
  for internal use only

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMemberName()`
  returns the member name this realization result applies to
  `String`
  `getMessage()`
  returns optional information to supplement `isSuccess()`
  `boolean`
  `isSuccess()`
  returns true if realization succeeded on this member
  `RealizationResult`
  `setMemberName(String memberName)`
  for internal use only
  `RealizationResult`
  `setMessage(String message)`
  for internal use only
  `RealizationResult`
  `setSuccess(boolean success)`
  for internal use only
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RealizationResult

    public RealizationResult()
    for internal use only

- ## Method Details

  - ### getMessage

    public String getMessage()
    returns optional information to supplement `isSuccess()`
    Returns:
      optional information to supplement `isSuccess()`

  - ### setMessage

    public RealizationResult setMessage(String message)
    for internal use only
    Parameters:
      `message` - the message to set
    Returns:
      this `RealizationResult`

  - ### getMemberName

    public String getMemberName()
    returns the member name this realization result applies to
    Returns:
      the member name this realization result applies to

  - ### setMemberName

    public RealizationResult setMemberName(String memberName)
    for internal use only
    Parameters:
      `memberName` - the member name to set
    Returns:
      this `RealizationResult`

  - ### isSuccess

    public boolean isSuccess()
    returns true if realization succeeded on this member
    Returns:
      true if realization succeeded on this member

  - ### setSuccess

    public RealizationResult setSuccess(boolean success)
    for internal use only
    Parameters:
      `success` - true if realization succeeded on this member
    Returns:
      this `RealizationResult`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`